react app 5.0.0新版如何安装

我一直在尝试为我的项目安装一个新应用程序。我在我的 vs 代码上运行它时遇到问题。现在,我试图从全局卸载,它仍然输出相同的错误。最近有人遇到这个错误吗?

终端中的错误输出:“您正在运行 create-react-app 4.0.3,它落后于最新版本 (5.0.0)。

我们不再支持全局安装 Create React App。

请使用以下命令之一删除任何全局安装:

  • npm 卸载 -g create-react-app
  • 纱线全局删除 create-react-app

可以在此处找到创建新应用的最新说明: https://create-react-app.dev/docs/getting-started/"

提前谢谢。

stack overflow how to install the new version of react app 5.0.0
原文答案
author avatar

接受的答案

其他答案对我不起作用。

就我而言,此命令有效:

npm init react-app my-app

答案:

作者头像

npx create-react-app@latest my-app

作者头像

谢谢你们的帮助。我找到了解决方案。我输入了以下链接: https://create-react-app.dev/docs/getting-started/

然后在里面找到了这个链接,指导我完成: https://gist.github.com/gaearon/4064d3c23a77c74a3614c498a8bb1c5f

这是解决方案:

如果您使用 npm 5.1 或更早版本,则无法使用 npx。相反,请全局安装 create-react-app:

npm install -g create-react-app 现在你可以运行:

创建react应用程序我的应用程序

再次感谢您的贡献!

作者头像

您可以运行此命令来创建版本为 5.0.0 的新应用程序

npx create-react-app@5.0.0 my-app

或者

运行此命令并清除 npx 缓存

npx clear-npx-cache

然后运行这个命令来创建react应用

npx create-react-app my-app
作者头像

其他答案都不适合我。我不知道如何,但 Gautam Kothari 上面的评论(在某种程度上)是有效的。我必须安装最新版本的 React:

就我而言:

npm install --save react@17.0.2 

然后我安装了最新版本的 create-react-app

npx create-react-app@5.0.0 my_app
作者头像

您可以运行此命令

yarn global add create-react-app@5.0.0

相关问题